Image to Video
curl --request POST \
--url https://api.modelhunter.ai/api/v1/grok/image-to-video \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"input": {
"image_urls": [
"<string>"
],
"prompt": "<string>",
"duration": "<string>",
"resolution": "<string>",
"mode": "<string>"
},
"webhookUrl": "<string>",
"metadata": {}
}
'import requests
url = "https://api.modelhunter.ai/api/v1/grok/image-to-video"
payload = {
"model": "<string>",
"input": {
"image_urls": ["<string>"],
"prompt": "<string>",
"duration": "<string>",
"resolution": "<string>",
"mode": "<string>"
},
"webhookUrl": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
input: {
image_urls: ['<string>'],
prompt: '<string>',
duration: '<string>',
resolution: '<string>',
mode: '<string>'
},
webhookUrl: '<string>',
metadata: {}
})
};
fetch('https://api.modelhunter.ai/api/v1/grok/image-to-video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "task_grok_i2v_456",
"status": "pending",
"type": "image-to-video",
"provider": "grok",
"model": "grok-imagine/image-to-video",
"created_at": "2026-03-13T10:00:00Z",
"estimated_seconds": 90
}
}
{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "input.image_urls must contain exactly 1 URL"
}
}
Grok
Image to Video
Animate a single input image into a video using Grok Imagine Video.
POST
/
api
/
v1
/
grok
/
image-to-video
Image to Video
Body Parameters
string
required
Grok model to use. In this phase:
grok-imagine/image-to-video— Grok Imagine Video image-to-video, output-only pricing at $0.05/sec (480p) or $0.07/sec (720p)
object
required
Input parameters for the generation.
Show properties
Show properties
string[]
required
Input image URL array. Must contain exactly 1 public image URL that is directly accessible by the upstream Grok service.
string
Optional motion or scene direction for the animation.
string
default:"6"
Video length in seconds. Options:
6, 10, 15.string
default:"720p"
Output resolution. Options:
480p, 720p.string
default:"normal"
Generation style preset. Options:
normal, fun, spicy.When using external image URLs, spicy may be normalized to normal by the upstream Grok provider.string
URL to receive a webhook when the task completes.
object
Custom key-value metadata to attach to the task.
{
"success": true,
"data": {
"id": "task_grok_i2v_456",
"status": "pending",
"type": "image-to-video",
"provider": "grok",
"model": "grok-imagine/image-to-video",
"created_at": "2026-03-13T10:00:00Z",
"estimated_seconds": 90
}
}
{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "input.image_urls must contain exactly 1 URL"
}
}
⌘I